
QGIS Application - Bug report #16135

Selection by layerid instead layername from .gdb

2017-01-31 12:17 AM - Pablo Barrera

Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.18.13 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24047

Description

After add features from geodatabase, the source layer is root/.gdb|layerid=12 instead root/.gdb|layername='roads', creating a uncertanly

cause the number will change every time you edit the gdb, and the qgs still selecting #12 when the real feature is another number.

Related issues:

Related to QGIS Application - Bug report # 15698: [Processing] Import Vector ... Closed 2016-10-13

Related to QGIS Application - Bug report # 17222: OpenFileGDB feature count s... Closed 2017-09-29

Related to QGIS Application - Bug report # 19885: Using the Browser panel lay... Closed 2018-09-18

History

#1 - 2017-02-27 02:19 PM - Giovanni Manghi

- Assignee deleted (Victor Olaya)

- Category set to Data Provider/OGR

#2 - 2017-02-27 02:23 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.0 to 2.18.4

#3 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#4 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#5 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-06-06 03:46 PM - Sandro Santilli

It was reported that the behavior was changed for some reason: #15698-14

If I understand that thread correctly I fixed the provider to use names again but then  Alexander Bruy changed it back, so I hope he can help figuring out the

way ahead now.

#7 - 2017-06-06 03:47 PM - Sandro Santilli

- Related to Bug report #15698: [Processing] Import Vector into PostGIS database doesn't work with file geodatabase added

#8 - 2017-09-26 12:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Affected QGIS version changed from 2.18.4 to 2.18.13
Hi, I see this is still true on 2.18.13, could you explain how to trigger the change of layerid for one layer? I tried but wasn't able to. Thanks in advance.

#9 - 2017-10-23 10:35 AM - Jürgen Fischer

- Related to Bug report #17222: OpenFileGDB feature count showing in layer name value added

#10 - 2017-10-23 12:09 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

fixed here https://github.com/qgis/QGIS/pull/5415

#11 - 2018-09-20 07:21 PM - Andrea Giudiceandrea

- Related to Bug report #19885: Using the Browser panel layers are added by layerid  added
https://github.com/qgis/QGIS/pull/5415

